net.dontdrinkandroot.visualization.layout.tree

## Class SunBurst<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.tree.SunBurst<V,E>

All Implemented Interfaces:
  Layout<edu.uci.ics.jung.graph.Forest<V,E>>

    public class SunBurst<V,E>
    extends Object
    implements Layout<edu.uci.ics.jung.graph.Forest<V,E>>

### Constructor Summary

Constructors
Constructor and Description
`SunBurst(edu.uci.ics.jung.graph.Forest<V,E> g, org.apache.commons.collections15.Transformer<V,AbstractVisualItem> vertexTransformer)`

### Method Summary

Methods
`Rectangle2D` `getBounds()`
`boolean` `isLayouted()`
`void` `layout()`
`void` `render(Graphics2D g2d)`
`void` `setArcSegmentRenderer(Renderer<ArcSegmentDescriptor> segementRenderer)`
`void` `setDrawEdges(boolean drawEdges)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SunBurst

    public SunBurst(edu.uci.ics.jung.graph.Forest<V,E> g,
            org.apache.commons.collections15.Transformer<V,AbstractVisualItem> vertexTransformer)

### Method Detail

#### setArcSegmentRenderer

    public void setArcSegmentRenderer(Renderer<ArcSegmentDescriptor> segementRenderer)

#### getBounds

    public Rectangle2D getBounds()

Specified by:
  `getBounds` in interface `Layout<edu.uci.ics.jung.graph.Forest<V,E>>`

#### isLayouted

    public boolean isLayouted()

Specified by:
  `isLayouted` in interface `Layout<edu.uci.ics.jung.graph.Forest<V,E>>`

#### layout

    public void layout()

Specified by:
  `layout` in interface `Layout<edu.uci.ics.jung.graph.Forest<V,E>>`

#### setDrawEdges

    public void setDrawEdges(boolean drawEdges)

#### render

    public void render(Graphics2D g2d)

Specified by:
  `render` in interface `Layout<edu.uci.ics.jung.graph.Forest<V,E>>`